POST
/
otc-exchanges
Confirm a quote into an order (Idempotency-Key required)
curl --request POST \
  --url https://api.balansas.com/functions/v1/customer-api/otc-exchanges \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "quoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "side": "buy",
  "travelRulePayload": {}
}
'
{
  "data": {
    "orderId": "770e8400-e29b-41d4-a716-446655440002",
    "status": "debit_pending"
  }
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Body

application/json
quoteId
string<uuid>
required
side
enum<string>
default:buy
Available options:
buy
travelRulePayload
object

Response

Success

data
object
required